Skip to main content

Get SSMS Risk

Using this API, will return the list of SSMS risk details.

Resource Informations​

NameValue
Requires authentication?Yes
Rate limited?No

Request​

Request headers​

KeyValue
AuthorizationBearer token
Content-Typeapplication/json

HTTP request URL for SSMS​

GET https://{tenantId}.{hostname}/digitanium/v4/riskbits/ssms

HTTP request URL for SHIFT​

GET https://{hostname}/auth/realms/{tenantId}/kobilssmsrisks/resources-auth
note

At this moment, this API is applicable only for SSMS based installations.

note

API requests must be made over https. Calls made over plain http will fail.

Parameters​

No Parameter fields are required

Request body​

No request body fields are required

Response​

Field NameTypeDescription
idStringId of the risk
riskNameStringName of the risk
riskDescriptionStringDescription of the risk

Sample Response​

[
{
"id": "ae2ebc80-7078-4f0f-9afb-3df5542a007d",
"riskName": "CodeInjection",
"riskDescription": "CodeInjection"
},
{
"id": "9afb-3df5542a-007dae2ebc80-7078",
"riskName": "JBreak",
"riskDescription": "JBreak"
}
]

Response Status Information​

Status CodeStatusMessage
201CreatedSuccessfully created.
204No ContentNo Content.
401UnauthorizedHTTP 401 Unauthorized.